%global momorel 2

Name:           perl-Lingua-EN-Tagger
Version:        0.16
Release:        %{momorel}m%{?dist}
Summary:        Part-of-speech tagger for English natural language processing
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Lingua-EN-Tagger/
Source0:        http://www.cpan.org/authors/id/A/AC/ACOBURN/Lingua-EN-Tagger-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-HTML-Parser >= 3.45
BuildRequires:  perl-Lingua-Stem >= 0.81
BuildRequires:  perl-Memoize >= 1.01
BuildRequires:  perl-Memoize-ExpireLRU >= 0.55
BuildRequires:  perl-PathTools >= 0.84
BuildRequires:  perl-Storable >= 2.10
Requires:       perl-HTML-Parser >= 3.45
Requires:       perl-Lingua-Stem >= 0.81
Requires:       perl-Memoize >= 1.01
Requires:       perl-Memoize-ExpireLRU >= 0.55
Requires:       perl-PathTools >= 0.84
Requires:       perl-Storable >= 2.10
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The module is a probability based, corpus-trained tagger that assigns POS
tags to English text based on a lookup dictionary and a set of probability
values. The tagger assigns appropriate tags based on conditional
probabilities - it examines the preceding tag to determine the appropriate
tag for the current word. Unknown words are classified according to word
morphology or can be set to be treated as nouns or other parts of speech.

%prep
%setup -q -n Lingua-EN-Tagger-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Lingua/EN/Tagger
%{perl_vendorlib}/Lingua/EN/Tagger.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16-2m)
- full rebuild for mo7 release

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
